<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listDigitizations") label="Digitizations"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Check Digitizations not assigned to a Codex"]]

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label 
      WHERE {
        ?resource a ismi:Digitization ;
          rdfs:label ?label .
        ?label bds:search ?__token__ ;
          bds:relevance ?score .
        FILTER NOT EXISTS {
          ?resource crmdig:L1_digitized ?codex .
        }
      } 
      ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for unassigned digitization...'
  ></semantic-simple-search>
</div>

<div class="panel">
  <div class="panel-body">
<semantic-table
  id='table-digitizations'
  query='SELECT DISTINCT ?subject ?label
  WHERE {
    ?subject a ismi:Digitization ;
      rdfs:label ?label .
      FILTER NOT EXISTS {
        ?subject crmdig:L1_digitized ?codex .
      }
  } ORDER BY ?label'
  number-of-displayed-rows=100
  column-configuration='[
    {
      "variableName": "subject",
      "displayName": "Name"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </div>
</div>

[[> Partial:contentEnd]]
